function [N,L2err,H1Serr] = main_LFE(Mesh)
  
DHandle = @(x) 1;
FHandle = @(x) 0;

% Assemble stiffness matrix and load vector
A = assemMat_LFE(Mesh, @STIMA_Heat_LFE, P7O6(),DHandle);
L = assemLoad_LFE(Mesh,P7O6(),FHandle);

% Incorporate Dirichlet boundary data
 
[U,FreeDofs] = assemDir_LFE(Mesh,-1,@uex_LShap_L2);
L = L - A*U;
  
% Solve the linear system
U(FreeDofs) = A(FreeDofs,FreeDofs)\L(FreeDofs);
    
% Plot solution
plot_LFE(U,Mesh);colorbar;
 
% Compute errors
L2err = L2Err_LFE(Mesh,U,P7O6(),@uex_LShap_L2);
H1Serr = H1SErr_LFE(Mesh,U,P7O6(),@uex_LShapH1S);
N = length(FreeDofs);
