  function Lloc = LOAD_QFE(Vertices,QuadRule,FHandle)

  % Initialize constants
  
  nPoints = size(QuadRule.w,1);
  
  % Preallocate memory
  
  Lloc = zeros(6,1);
  
  % Compute element mapping
  
  bK = Vertices(1,:);
  BK = [Vertices(2,:)-bK; Vertices(3,:)-bK];
  inv_BK = inv(BK);
  det_BK = abs(det(BK));
  
  x = QuadRule.x*BK+ones(nPoints,1)*bK;
  
  % Compute element load vector
  
  FVal = FHandle(x);
  N = shap_QFE(QuadRule.x);
  
  Lloc(1) = sum(QuadRule.w.*FVal.*N(:,1))*det_BK;
  Lloc(2) = sum(QuadRule.w.*FVal.*N(:,2))*det_BK;
  Lloc(3) = sum(QuadRule.w.*FVal.*N(:,3))*det_BK;
  Lloc(4) = sum(QuadRule.w.*FVal.*N(:,4))*det_BK;
  Lloc(5) = sum(QuadRule.w.*FVal.*N(:,5))*det_BK;
  Lloc(6) = sum(QuadRule.w.*FVal.*N(:,6))*det_BK;