function L = assemLoad_QFE(Mesh,QuadRule,FHandle)

%   Copyright 2005-2005 Patrick Meury & Kah Ling Sia
%   SAM - Seminar for Applied Mathematics
%   ETH-Zentrum
%   CH-8092 Zurich, Switzerland

  % Initialize constants

  nCoordinates = size(Mesh.Coordinates,1);
  nElements = size(Mesh.Elements,1);
  nEdges = size(Mesh.Edges,1);
  
  % Preallocate memory
  
  L = zeros(nCoordinates+nEdges,1);
  
  eidx = zeros(1,3);
  for i = 1:nElements
    
    % Extract vertices
    
    vidx = Mesh.Elements(i,:);
    eidx(1) = Mesh.Vert2Edge(vidx(1),vidx(2)) + nCoordinates;
    eidx(2) = Mesh.Vert2Edge(vidx(2),vidx(3)) + nCoordinates;
    eidx(3) = Mesh.Vert2Edge(vidx(3),vidx(1)) + nCoordinates;
     
    % Compute load data
    
    Lloc = LOAD_QFE(Mesh.Coordinates(vidx,:),QuadRule,FHandle);
    
    % Add contributions to global load vector
    
    L(vidx(1)) = L(vidx(1)) + Lloc(1);
    L(vidx(2)) = L(vidx(2)) + Lloc(2);
    L(vidx(3)) = L(vidx(3)) + Lloc(3);
    L(eidx(1)) = L(eidx(1)) + Lloc(4);
    L(eidx(2)) = L(eidx(2)) + Lloc(5);
    L(eidx(3)) = L(eidx(3)) + Lloc(6);
    
  end
  
return