function [N,L2err,H1Serr] = mainLshaped_QFE(Mesh)
  
DHandle = @(x) 1;
FHandle = @(x) 0;

% Assemble stiffness matrix and load vector
A = assemMat_QFE(Mesh, @STIMA_Heat_QFE, P7O6(),DHandle);
L = assemLoad_QFE(Mesh,P7O6(),FHandle);

% Incorporate Dirichlet boundary data
 
[U,FreeDofs] = assemDir_QFE(Mesh,-1,@uex_LShap_L2);
L = L - A*U;
  
% Solve the linear system
U(FreeDofs) = A(FreeDofs,FreeDofs)\L(FreeDofs);
 
% Compute errors
L2err = L2Err_QFE(Mesh,U,P7O6(),@uex_LShap_L2);
H1Serr = H1SErr_QFE(Mesh,U,P7O6(),@uex_LShapH1S);
N = length(FreeDofs);
