function [N,L2err,H1Serr] = main_QFE(Mesh)
  
DHandle = @(x) 1;
FHandle = @(x) 8*pi^2*cos(2*pi.*x(:,1)).*cos(2*pi.*x(:,2));
Uex = @(x) cos(2*pi.*x(:,1)).*cos(2*pi.*x(:,2));
Ugradex = @(x) [-2*pi*sin(2*pi.*x(:,1)).*cos(2*pi.*x(:,2)) -2*pi*cos(2*pi.*x(:,1)).*sin(2*pi.*x(:,2))];

% Assemble stiffness matrix and load vector
A = assemMat_QFE(Mesh, @STIMA_Heat_QFE, P7O6(),DHandle);
L = assemLoad_QFE(Mesh,P7O6(),FHandle);

% Incorporate Dirichlet boundary data
 
[U,FreeDofs] = assemDir_QFE(Mesh,-1,Uex);
L = L - A*U;
  
% Solve the linear system
U(FreeDofs) = A(FreeDofs,FreeDofs)\L(FreeDofs);
     
% Compute errors
L2err = L2Err_QFE(Mesh,U,P7O6(),Uex);
H1Serr = H1SErr_QFE(Mesh,U,P7O6(),Ugradex);
N = length(FreeDofs);
